---
schema_version: "1"
id: f8d78a5610d7c21b4ac9df34637b98d4bf8e66a129dfa85e0e995d00825968c9
title: Data Permissions (deprecated)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/b2c-commerce/references/generated-api-specs/ocapi-data-permissions.md
canonical_url: https://developer.salesforce.com/docs/commerce/b2c-commerce/references/ocapi-data-permissions
source_site: developer.salesforce.com
content_type: documentation
content_hash: 63f16d2fc699f0b2f4154f47f5e9a590b4a411b3d132b22a8e1b87932f6349e3
products:
  - B2C Commerce
  - Salesforce APIs
---
Data Permissions (deprecated)

# Data Permissions (deprecated)

Data API endpoints enable developers to build applications for merchants: Create, update, delete business objects, like products, customers, pricing and promotions or assignments. They typically provide read and write access and are designed for moderate usage.

**Version:** 25.6

## Servers

*   `https://{host}/s/-/dw/data/v25_6`

Protocols: https.

## Security

*   `oauth2_application` (oauth2) Authentication flow with client ID and password with account manager.
    *   OAuth flow application (tokenUrl: https://account.demandware.com:443/dwsso/oauth2/access\_token)
    *   Scope x-info: Scopes are NOT supported. This is just a dummy, because the 'scopes' field is required.
*   `client_id` (apiKey) Add client ID for application identification. Alternative as 'client\_id' query parameter.
    *   API key in header: x-dw-client-id

## Operations

### GET Get Application Permissions

`GET /permissions`

Operation ID: `Get Application Permissions`. Tags: permissions. Security: oauth2\_application.

Get application specific permissions per type.

#### Parameters

*   `expand` (query, array of string) The permission expand. A comma separated list with the allowed values (bm, csc).

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `application_permissions`.
    

### GET Get Business Manager Permissions

`GET /permissions/bm`

Operation ID: `Get Business Manager Permissions`. Tags: permissions. Security: oauth2\_application.

Get Business Manager permissions per type.

#### Parameters

*   `expand` (query, array of string) The permission expand. A comma separated list with the allowed values (module, functional, webdav, locale).

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `bmpermissions`.
    

### GET Get Functional Permissions

`GET /permissions/bm/functional`

Operation ID: `Get Functional Permissions`. Tags: permissions. Security: oauth2\_application.

Get functional permissions per scope.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `functional_permissions`.
    

### GET Get Locale Permissions

`GET /permissions/bm/locale`

Operation ID: `Get Locale Permissions`. Tags: permissions. Security: oauth2\_application.

Get locale permissions per scope.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `locale_permissions`.
    

### GET Get Business Manager Module Permissions

`GET /permissions/bm/module`

Operation ID: `Get Business Manager Module Permissions`. Tags: permissions. Security: oauth2\_application.

Get Business Manager module permissions per scope.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `module_permissions`.
    

### GET Get WebDAV Permissions

`GET /permissions/bm/webdav`

Operation ID: `Get WebDAV Permissions`. Tags: permissions. Security: oauth2\_application.

Get WebDAV permissions per scope.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `webdav_permissions`.
    

### GET Get Permissions

`GET /permissions/csc`

Operation ID: `Get Permissions`. Tags: permissions. Security: oauth2\_application.

Get permissions per type.

#### Parameters

*   `expand` (query, array of string) The permission expand. A comma separated list with the allowed values (module, functional, webdav, locale).

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `cscpermissions`.
    

### GET Get CSC Module Permissions

`GET /permissions/csc/module`

Operation ID: `Get CSC Module Permissions`. Tags: permissions. Security: oauth2\_application.

Get CSC module permissions per scope.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `module_permissions`.
    

## Schemas

### application\_permissions

Document representing the available applications for retrieving permissions.

*   `applications` (_array of string_) The available applications (e.g. 'bm' for Business Manager).
*   `bm` (_bmpermissions_) The permissions of application 'bm'.
*   `csc` (_cscpermissions_) The permissions of application 'csc'.

### bmpermissions

Document representing the available permissions per type.

*   `functional` (_functional\_permissions_) The functional permissions available through expand ('functional').
*   `functional_link` (_string_) The url to the resource that provides functional permissions.
*   `locale` (_locale\_permissions_) The locale permissions available through expand ('locale').
*   `locale_link` (_string_) The url to the resource that provides locale permissions.
*   `module` (_module\_permissions_) The module permissions available through expand ('module').
*   `module_link` (_string_) The url to the resource that provides module permissions.
*   `types` (_array of string_)
*   `webdav` (_webdav\_permissions_) The webdav permissions available through expand ('webdav').
*   `webdav_link` (_string_) The url to the resource that provides webdav permissions.

### functional\_permissions

Document representing the available functional permissions.

*   `organization` (_array of functional\_permission_) The collection of available organization functional permissions.
*   `scopes` (_array of string_) The available functional permission scopes (e.g. organization, site).
*   `site` (_array of functional\_permission_) The list of available site functional permissions.

_Example_

```
{
  "organization": [
    {
      "name": "Delete_All_Catalogs",
      "type": "functional",
      "value": "ACCESS"
    }
  ],
  "site": [
    {
      "name": "Manage_Site_Catalog",
      "type": "functional",
      "values": {
        "SiteGenesis": "ACCESS",
        "SiteGenesisGlobal": "ACCESS"
      }
    }
  ]
}
```

### locale\_permissions

Document representing the available locale permissions.

*   `scopes` (_array of string_) The available Locale permission scopes (e.g. unscoped).
*   `unscoped` (_array of locale\_permission_) The collection of available unscoped Locale permissions.

_Example_

```
{
  "scopes": [
    "unscoped"
  ],
  "unscoped": [
    {
      "display_name": {
        "default": "Default"
      },
      "locale_id": "default",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "Arabic"
      },
      "locale_id": "ar",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "Arabic (Algeria)"
      },
      "locale_id": "ar_DZ",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "Chinese"
      },
      "locale_id": "zh",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "Chinese (China)"
      },
      "locale_id": "zh_CN",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "Dutch"
      },
      "locale_id": "nl",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "English"
      },
      "locale_id": "en",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "English (Canada)"
      },
      "locale_id": "en_CA",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "English (United States)"
      },
      "locale_id": "en_US",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "French"
      },
      "locale_id": "fr",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "French (Belgium)"
      },
      "locale_id": "fr_BE",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "French (Canada)"
      },
      "locale_id": "fr_CA",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "French (France)"
      },
      "locale_id": "fr_FR",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "German"
      },
      "locale_id": "de",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "German (Germany)"
      },
      "locale_id": "de_DE",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "display_name": {
        "default": "Spanish"
      },
      "locale_id": "es",
      "type": "locale",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    }
  ]
}
```

### module\_permissions

Document representing the available module permissions in shape of menu items and menu actions.

*   `organization` (_array of menu\_item_) The collection of available organization menu items.
*   `scopes` (_array of string_) The available menu item scopes (e.g. organization, site).
*   `site` (_array of menu\_item_) The list of available site menu items.

_Example_

```
{
  "scopes": [
    "site",
    "organization"
  ],
  "site": [
    {
      "display_name": {
        "default": "Customer"
      },
      "menu_actions": [
        {
          "description": {
            "default": "Check a customer address."
          },
          "display_name": {
            "default": "Check Address"
          },
          "module_type": "CSC",
          "name": "customer_address_check",
          "system": false,
          "type": "module",
          "values": [
            "ACCESS"
          ]
        }
      ],
      "module_type": "CSC",
      "name": "customer",
      "type": "module"
    },
    {
      "display_name": {
        "default": "Basket"
      },
      "menu_actions": [
        {
          "description": {
            "default": "Check a shipping address."
          },
          "display_name": {
            "default": "Check Shipping Address"
          },
          "module_type": "CSC",
          "name": "basket_shipping_address_check",
          "system": false,
          "type": "module",
          "values": [
            "ACCESS"
          ]
        },
        {
          "description": {
            "default": "Check a billing address."
          },
          "display_name": {
            "default": "Check Billing Address"
          },
          "module_type": "CSC",
          "name": "basket_billing_address_check",
          "system": false,
          "type": "module",
          "values": [
            "ACCESS"
          ]
        },
        {
          "description": {
            "default": "Reserve inventory for the basket."
          },
          "display_name": {
            "default": "Reserve Inventory"
          },
          "module_type": "CSC",
          "name": "basket_reserve_inventory",
          "system": false,
          "type": "module",
          "values": [
            "ACCESS"
          ]
        }
      ],
      "module_type": "CSC",
      "name": "basket",
      "type": "module"
    },
    {
      "display_name": {
        "default": "Order"
      },
      "menu_actions": [
        {
          "description": {
            "default": "Check a billing address."
          },
          "display_name": {
            "default": "Check Billing Address"
          },
          "module_type": "CSC",
          "name": "order_billing_address_check",
          "system": false,
          "type": "module",
          "values": [
            "ACCESS"
          ]
        },
        {
          "description": {
            "default": "Check a shipping address."
          },
          "display_name": {
            "default": "Check Shipping Address"
          },
          "module_type": "CSC",
          "name": "order_shipping_address_check",
          "system": false,
          "type": "module",
          "values": [
            "ACCESS"
          ]
        }
      ],
      "module_type": "CSC",
      "name": "order",
      "type": "module"
    }
  ]
}
```

### webdav\_permissions

Document representing the available WebDAV permissions.

*   `scopes` (_array of string_) The available WebDAV permission scopes (e.g. unscoped).
*   `unscoped` (_array of webdav\_permission_) The collection of available unscoped WebDAV permissions.

_Example_

```
{
  "scopes": [
    "unscoped"
  ],
  "unscoped": [
    {
      "description": {
        "default": "Allows to access '/impex' via WebDAV."
      },
      "folder": "/impex",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": "Allows to access '/logs' via WebDAV."
      },
      "folder": "/logs",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": "Allows to access '/static' via WebDAV."
      },
      "folder": "/static",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": "Allows to access '/temp' via WebDAV."
      },
      "folder": "/temp",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": ""
      },
      "folder": "/catalogs/*",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": "Allows to access catalog 'SiteGenesis' via WebDAV."
      },
      "folder": "/catalogs/SiteGenesis",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": "Allows to access catalog 'SiteGenesisGlobal' via WebDAV."
      },
      "folder": "/catalogs/SiteGenesisGlobal",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": ""
      },
      "folder": "/libraries/*",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": "Allows to access library 'SiteGenesis' via WebDAV."
      },
      "folder": "/libraries/SiteGenesis",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": "Allows to access library 'SiteGenesisGlobal' via WebDAV."
      },
      "folder": "/libraries/SiteGenesisGlobal",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": ""
      },
      "folder": "/dynamic/*",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": "Allows to access dynamic 'SiteGenesis' via WebDAV."
      },
      "folder": "/dynamic/SiteGenesis",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": "Allows to access dynamic 'SiteGenesisGlobal' via WebDAV."
      },
      "folder": "/dynamic/SiteGenesisGlobal",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": ""
      },
      "folder": "/CustomerSnapshots/*",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": "Allows to access customer snapshots for site 'SiteGenesis' via WebDAV."
      },
      "folder": "/CustomerSnapshots/SiteGenesis",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    },
    {
      "description": {
        "default": "Allows to access customer snapshots for site 'SiteGenesisGlobal' via WebDAV."
      },
      "folder": "/CustomerSnapshots/SiteGenesisGlobal",
      "type": "webdav",
      "values": [
        "ACCESS",
        "READONLY"
      ]
    }
  ]
}
```

### cscpermissions

Document representing the available permissions per type.

*   `module` (_module\_permissions_) The module permissions available through expand ('module').
*   `module_link` (_string_) The url to the resource that provides module permissions.
*   `types` (_array of string_)

_Example_

```
{
  "module": {
    "scopes": [
      "site",
      "organization"
    ],
    "site": [
      {
        "display_name": {
          "default": "Customer"
        },
        "menu_actions": [
          {
            "description": {
              "default": "Check a customer address."
            },
            "display_name": {
              "default": "Check Address"
            },
            "module_type": "CSC",
            "name": "customer_address_check",
            "system": false,
            "type": "module",
            "values": [
              "ACCESS"
            ]
          }
        ],
        "module_type": "CSC",
        "name": "customer",
        "type": "module"
      },
      {
        "display_name": {
          "default": "Basket"
        },
        "menu_actions": [
          {
            "description": {
              "default": "Check a shipping address."
            },
            "display_name": {
              "default": "Check Shipping Address"
            },
            "module_type": "CSC",
            "name": "basket_shipping_address_check",
            "system": false,
            "type": "module",
            "values": [
              "ACCESS"
            ]
          },
          {
            "description": {
              "default": "Check a billing address."
            },
            "display_name": {
              "default": "Check Billing Address"
            },
            "module_type": "CSC",
            "name": "basket_billing_address_check",
            "system": false,
            "type": "module",
            "values": [
              "ACCESS"
            ]
          },
          {
            "description": {
              "default": "Reserve inventory for the basket."
            },
            "display_name": {
              "default": "Reserve Inventory"
            },
            "module_type": "CSC",
            "name": "basket_reserve_inventory",
            "system": false,
            "type": "module",
            "values": [
              "ACCESS"
            ]
          }
        ],
        "module_type": "CSC",
        "name": "basket",
        "type": "module"
      },
      {
        "display_name": {
          "default": "Order"
        },
        "menu_actions": [
          {
            "description": {
              "default": "Check a billing address."
            },
            "display_name": {
              "default": "Check Billing Address"
            },
            "module_type": "CSC",
            "name": "order_billing_address_check",
            "system": false,
            "type": "module",
            "values": [
              "ACCESS"
            ]
          },
          {
            "description": {
              "default": "Check a shipping address."
            },
            "display_name": {
              "default": "Check Shipping Address"
            },
            "module_type": "CSC",
            "name": "order_shipping_address_check",
            "system": false,
            "type": "module",
            "values": [
              "ACCESS"
            ]
          }
        ],
        "module_type": "CSC",
        "name": "order",
        "type": "module"
      }
    ]
  },
  "module_link": "https://example.com/s/-/dw/data/{version}/permissions/csc/module",
  "types": [
    "module"
  ]
}
```

### functional\_permission

Document representing a functional permission.

*   `description` (_object (localized)_) The description of the functional permission.
    
    Additional properties: `string`.
    
*   `display_name` (_object (localized)_) The display name of the functional permission.
    
    Additional properties: `string`.
    
*   `name` (_string_) The name of the functional permission.
*   `type` (_string_) The permission type.
*   `values` (_array of string_) The list of possible values for the functional permission, e.g. ACCESS or READONLY.

_Example_

```
{
  "name": "Delete_All_Catalogs",
  "type": "functional",
  "value": "ACCESS"
}
```

### locale\_permission

Document representing a locale permission.

*   `display_name` (_object (localized)_) The display name of the locale.
    
    Additional properties: `string`.
    
*   `locale_id` (_string_) The id of the locale.
*   `type` (_string_) The permission type.
*   `values` (_array of string_) The list of possible values for the locale permission, e.g. ACCESS or READONLY.

_Example_

```
{
  "display_name": {
    "default": "Default"
  },
  "locale_id": "default",
  "type": "locale",
  "values": [
    "ACCESS",
    "READONLY"
  ]
}
```

### menu\_item

Document representing a menu item.

*   `display_name` (_object (localized)_) The display name of the menu item.
    
    Additional properties: `string`.
    
*   `menu_actions` (_array of menu\_action_) The collection of available menu actions.
*   `module_type` (_string_) The module type of the menu item (BM or CC).
*   `name` (_string_) The name of the menu item.
*   `type` (_string_) The permission type.

_Example_

```
{
  "display_name": {
    "default": "Replication"
  },
  "menu_actions": [
    {
      "description": {
        "default": "Start and control data replication processes."
      },
      "display_name": {
        "default": "Data Replication"
      },
      "module_type": "BM",
      "name": "global-data-rep-processes",
      "system": true,
      "type": "module",
      "values": [
        "ACCESS"
      ]
    },
    {
      "description": {
        "default": "Start and control code replication processes."
      },
      "display_name": {
        "default": "Code Replication"
      },
      "module_type": "BM",
      "name": "global-code-rep-processes",
      "system": true,
      "type": "module",
      "values": [
        "ACCESS"
      ]
    }
  ],
  "module_type": "BM",
  "name": "global-replication",
  "type": "module"
}
```

### webdav\_permission

Document representing a WebDAV permission.

*   `description` (_object (localized)_) The description of the WebDAV permission.
    
    Additional properties: `string`.
    
*   `folder` (_string_) The folder of the WebDAV permission.
*   `type` (_string_) The permission type.
*   `values` (_array of string_) The list of possible values for the WebDAV permission, e.g. ACCESS or READONLY.

_Example_

```
{
  "description": {
    "default": "Allows to access '/impex' via WebDAV."
  },
  "folder": "/impex",
  "type": "webdav",
  "values": [
    "ACCESS",
    "READONLY"
  ]
}
```

### menu\_action

Document representing a menu action.

*   `description` (_object (localized)_) The description of the menu action.
    
    Additional properties: `string`.
    
*   `display_name` (_object (localized)_) The display name of the menu action.
    
    Additional properties: `string`.
    
*   `module_type` (_string_) The module type of the menu action (BM or CC).
*   `name` (_string_) The name of the menu action.
*   `system` (_boolean_) { action.
*   `type` (_string_) The permission type.
*   `values` (_array of string_) The list of possible values for the menu action, e.g. ACCESS or READONLY.

_Example_

```
{
  "description": {
    "default": "Start and control data replication processes."
  },
  "display_name": {
    "default": "Data Replication"
  },
  "module_type": "BM",
  "name": "global-data-rep-processes",
  "system": true,
  "type": "module",
  "values": [
    "ACCESS"
  ]
}
```

### cause

*   `cause` (_cause_)
*   `message` (_string_)
*   `type` (_string_)

### fault

Document representing a fault message that is returned whenever the HTTP status code is greater than or equal to 400 (which indicates an error).

*   `arguments` (_object_)
    
    A map that provides fault arguments.
    
    Data can be used to provide error messages on the client side.
    
    Additional properties: `object`.
    
*   `cause` (_cause_)
*   `display_message_pattern` (_string_) The localized display message pattern, if the request parameter display\_locale was given
*   `message` (_string_) The message text of the java exception.
*   `stack_trace` (_string_)
*   `type` (_string_) The name of the java exception.